Skip Menu |
 

This queue is for tickets about the List-MoreUtils CPAN distribution.

Report information
The Basics
Id: 63815
Status: resolved
Priority: 0/
Queue: List-MoreUtils

People
Owner: Nobody in particular
Requestors: IRONCAMEL [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in:
  • 0.28
  • 0.29
Fixed in: (no value)



Subject: List::MoreUtils (versions 0.28 and 0.29) break Perl::Critic
Download (untitled) / with headers
text/plain 168b
The latest versions of List::MoreUtils (versions 0.28 and 0.29) break Perl::Critic. I have to drop down to List::MoreUtils version 0.26 to get Perl::Critic to install.
Download (untitled) / with headers
text/plain 459b
On Fri Dec 10 17:43:34 2010, IRONCAMEL wrote: Show quoted text
> The latest versions of List::MoreUtils (versions 0.28 and 0.29) break > Perl::Critic. I have to drop down to List::MoreUtils version 0.26 to > get Perl::Critic to install.
It seems that this is because the behavior for the 'all' function has changed when passed an empty list. The new behavior may make more sense, but I expect a lot of other modules which depended on the previous behavior to break as well.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.